Page MenuHomePhabricator

Document installation steps for PSR-3 logging
Closed, ResolvedPublic

Description

qdb> "MediaWiki requires the PSR-3 logging library to be present" - cannot i just turn that logging off?

No answer anywhere:
$ grep -B 1 PSR RELEASE-NOTES-1.25

  • The debug logging internals have been overhauled, and are now using the PSR-3 interfaces.

https://www.mediawiki.org/w/index.php?title=Special%3ASearch&profile=advanced&search=PSR-3+logging+library&fulltext=Search&ns12=1&ns100=1&profile=advanced

Documentation needed:

Event Timeline

Nemo_bis created this task.Nov 20 2014, 7:24 AM
Nemo_bis assigned this task to bd808.
Nemo_bis raised the priority of this task from to Medium.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Librarization.
Nemo_bis changed Security from none to None.
bd808 removed bd808 as the assignee of this task.Nov 20 2014, 4:30 PM
bd808 added a subscriber: Legoktm.

The documentation the @Legoktm wrote for the git-based install process could be used as a starting point for this documentation.

bd808 added a comment.Nov 20 2014, 4:32 PM

See also: https://bugzilla.wikimedia.org/show_bug.cgi?id=72163

That will probably be the correct parent for this task once the bz->phab migration is done (this coming weekend!).

Change 176489 had a related patch set uploaded (by Legoktm):
Document external libraries changes in release notes

https://gerrit.wikimedia.org/r/176489

Patch-For-Review

Change 176489 merged by jenkins-bot:
Document external libraries changes in release notes

https://gerrit.wikimedia.org/r/176489

bd808 added a comment.Jan 18 2015, 9:59 PM

Usage of PSR-3 is now documented in the 1.25 release notes. The usage of Composer is documented for the git-based install process. The 1.25 tarball will need to package PSR-3 and several other external libraries in $IP/vendor. I think we've had several announcements now on wikitech-l and the packaging maintainers mailing list about Composer and external libraries.

@Nemo_bis, can we call this done or are there other specific steps you would like to see done?

bd808 moved this task from Untriaged to Done on the Librarization board.Feb 18 2015, 4:32 AM
Nemo_bis added a comment.EditedFeb 19 2015, 12:32 PM

Thanks. Not sure it's working for me, though.

$ composer install --no-dev
Loading composer repositories with package information
Installing dependencies from lock file
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. Run update to update them.
Nothing to install or update
Generating optimized autoload files
  1. http://moquet.net/blog/5-features-about-composer-php/
$ composer update nothing --no-dev
Loading composer repositories with package information
Updating dependencies
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - The requested package oojs/oojs-ui == 0.6.1.0 could not be found.

Seems ok after:

$ rm composer.lock
$ composer install --no-dev
Loading composer repositories with package information
Installing dependencies
  - Installing wikimedia/composer-merge-plugin (v0.5.0)
    Downloading: 100%

  - Removing oojs/oojs-ui (v0.6.1)
  - Installing oojs/oojs-ui (v0.7.0)
    Downloading: 100%

  - Installing zordius/lightncandy (v0.18)
    Downloading: 100%

Writing lock file
Generating optimized autoload files
bd808 added a comment.Feb 19 2015, 4:12 PM

Thanks. Not sure it's working for me, though.

The difference is install vs update. We should write better docs about this non-intuitive Composer behavior. When there is no existing composer.lock file, the behavior of composer install and composer update is identical. However, once a composer.lock file exists the two commands do very different things. composer install with a composer.lock file will ensure that the generated vendor directory matches the existing composer.lock package specifications. composer update on the other hand always operates based on the contents of the composer.json file. It will compute the full dependencies presented there, update vendor and then write what it did to composer.lock.

bd808 added a comment.Feb 19 2015, 4:40 PM

Updated doc to include note about composer update vs composer install: https://www.mediawiki.org/w/index.php?title=Download_from_Git&diff=1415258&oldid=1390544

Thanks. I had tried update, as noted above, but with no success. I'll try the specific command recommended by docs next time.